#
# spec file for package rubygem-sprockets
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-sprockets-2_0
Version:        2.0.5
Release:        1.6
%define mod_name sprockets
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -2_0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://getsprockets.org/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Rack-based asset packaging system
License:        MIT
Group:          Development/Languages/Ruby

%description
Sprockets is a Rack-based asset packaging system that concatenates and serves
JavaScript, CoffeeScript, CSS, LESS, Sass, and SCSS.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE README.md" \
  -f

%gem_packages

%changelog
* Tue Feb 10 2015 coolo@suse.com
- updated to version 2.0.5
* Sat Mar 23 2013 coolo@suse.com
- updated to version 2.0.4
* Tue Feb 14 2012 saschpe@suse.de
- Ran spec-cleaner
- Add obsoletes for rubygem-sprockets
* Mon Nov 21 2011 mrueckert@suse.de
- downgrade to 2.0.3 again:
  rails 3.1.3 will use 2.0.3 again as 2.1.0 caused regressions
* Fri Nov 18 2011 mrueckert@suse.de
- update to version 2.1.0
  too many changes to list here, please see:
  https://github.com/sstephenson/sprockets/compare/v2.0.3...v2.1.0
* Wed Nov  2 2011 mrueckert@suse.de
- provide the single digit name too
- use rack-1_3 for building. sprockets is mostly used with rails
  3.1, so we can also use that rack version.
* Wed Nov  2 2011 mrueckert@suse.de
- Update to version 2.0.3 (bnc#727772)
  - Fix typo
  - Merge pull request #217 from lmarburger/patch-1
  - Make JST namespace configurable
  - Detect format extension from right to left
* Thu Oct 13 2011 fcastelli@suse.com
- Update to version 2.0.2
  - Remove deprecated methods
  - Evaluate Context in an Index
  - Fix digest injection with multiple dots
  - Raise an error if asset is outside load path
  - Unescape uris before looking up asset
  - Proper casing
  - Assume decoded path is internal encoding
  - Merge pull request #193 from sstephenson/path-encoding
  - Use cached entries and stats helpers for traversing directories
  - Test traversing symlinked directories
  - each_entry iterator
  - Use cached iterator in directive processor
  - Test requiring missing absolute paths
  - Update logical path check error
  - Extended config.ru example instructions.
  - Merge pull request #197 from colszowka/patch-1
  - Fixed a documentation typo
  - Merge pull request #201 from stevenh512/documentation
  - Revert "Evaluate Context in an Index"
  - Only loaded once
  - Rescue from errors raised trying to load from cache
  - Fix silly test counts
* Wed Aug 31 2011 fcastelli@suse.com
- update to version 2.0.0
* Thu Aug 25 2011 fcastelli@novell.com
- Added patch that fixes issue: https://github.com/sstephenson/sprockets/issues/163
* Mon Aug 22 2011 fcastelli@novell.com
- update to 2.0.0.beta.14
* Mon Aug  1 2011 mrueckert@suse.de
- update to 2.0.0.beta.12
* Thu Jul 21 2011 mrueckert@suse.de
- update to 2.0.0.beta.10
* Thu Jul 21 2011 fcastelli@novell.com
- packaged 1.0.2
